# SXP Reference

SXP_addVariableBinding | Functions

#### Syntax

         SXP_addVariableBinding(Q, name, source)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`name` | `const SXP_char*` | The name of the variable.
`source` | `QueryContext` | Another `QueryContext` which has been evaluated already. The variable will be bound to its result expression.
`(RET)` | `int` | The error code.

#### Description

Binds a variable to the result expression of another `QueryContext`. The binding will only be in effect for the next `SXP_query`. `SXP_addVariableBinding` provides the only way to bind the variable to a node set.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_addVariableBoolean | SXP_addVariableNumber | SXP_addVariableString | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC